# $Revision: 1.223.2.3 $, $Date: 2007/01/28 22:12:56 $
# TODO:
# - enable gstreamer after making it selectable runtime
# - not sure about those unpackaged files:
#   /usr/share/desktop-directories/kde-multimedia-music.directory
#
# Conditional build:
%bcond_without	alsa	# build without ALSA support
%bcond_without	xine	# build without xine support
%bcond_with	tunepimp
%bcond_with	gstreamer		# build with gstreamer support
%bcond_with	hidden_visibility	# pass '--fvisibility=hidden' & '--fvisibility-inlines-hidden' to g++ 
#
%define		_state		stable
%define		_minlibsevr	9:%{version}
%define		_minbaseevr	9:%{version}

Summary:	K Desktop Environment - multimedia applications
Summary(pl):	K Desktop Environment - aplikacje multimedialne
Name:		kdemultimedia
Version:	3.5.6
Release:	1
Epoch:		9
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	57c50bfcb0147324a1af02ebcc103376
Patch0:		kde-common-PLD.patch
#Patch100:	%{name}-branch.diff
Patch1:		kde-ac260-lt.patch
BuildRequires:	akode-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	arts-qt-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdparanoia-III-devel >= alpha9.8-6
BuildRequires:	flac-devel >= 1.1.2
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	gettext-devel
%if %{with gstreamer}
BuildRequires:	gstreamer08x-devel >= 0.8
%endif
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	kdelibs-devel >= %{_minlibsevr}
BuildRequires:	lame-libs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libmusicbrainz-devel >= 1:2.1.1
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtheora-devel
%if %{with tunepimp}
BuildRequires:	libtunepimp-devel < 0.5
BuildRequires:	libtunepimp-devel >= 0.4.0
%endif
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	speex-devel
BuildRequires:	taglib-devel >= 0.95.031114
#BuildRequires:	unsermake >= 040511
%{?with_xine:BuildRequires:	xine-lib-devel >= 1:1.0}
BuildRequires:	zlib-devel
Obsoletes:	kdemultimedia-libworkman
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE multimedia applications. Package includes:

 - Arts - arts tools
 - Kaboodle - a media player,
 - KMID - MIDI player,
 - KMIDI - software MIDI player,
 - KMIX - audio mixer,
 - KSCD - CD player,
 - Noatun - a media player.

%description -l pl
Multimedialne aplikacje KDE. Pakiet zawiera:

 - Arts - narzdzia arts,
 - Kaboodle - odtwarzacz plikw multimedialnych,
 - KMID - odtwarzacz MIDI,
 - KMIDI - programowy odtwarzacz MIDI,
 - KMIX - mikser audio,
 - KSCD - odtwarzacz CD,
 - Noatun - odtwarzacz plikw multimedialnych.

%package devel
Summary:	Header files for kdemultimedia libraries
Summary(pl):	Pliki nagwkowe bibliotek kdemultimedia
Group:		X11/Development/Libraries
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
Requires:	%{name}-libkcddb = %{epoch}:%{version}-%{release}
Requires:	%{name}-noatun-libs = %{epoch}:%{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}
Obsoletes:	kdemultimedia-static

%description devel
Header files for kdemultimedia libraries.

%description devel -l pl
Pliki nagwkowe bibliotek kdemultimedia

%package akode
Summary:	A new generation arts plugin with high quality support for many formats
Summary(pl):	Wtyczka do arts nowej generacji z wysokiej jakoci obsug rnych formatw .
Group:		X11/Libraries
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}

%description akode
Arts plugin that supports high quality playback of the following
formats:
- Musepack (.MPC)
- mpeg (.MP3,.MP2, etc.)
- Ogg Vorbis (.ogg)
- FLAC
- speex
- WAV

%description akode -l pl
Wtyczka arts, ktra wspiera wysokiej jakoci odtwarzanie nastpujcych
formatw:
- Musepack (.MPC)
- mpeg (.MP3,.MP2, etc.)
- Ogg Vorbis (.ogg)
- FLAC
- speex
- WAV

%package arts
Summary:	Arts extensions
Summary(pl):	Rozszerzenia Arts
Group:		X11/Applications
Requires:	kdelibs >= %{_minlibsevr}
Obsoletes:	kdemultimedia-artsplugin-audiofile

%description arts
Arts extensions such as effect definitions, mixers presets and shared
libraries to access them.

%description arts -l pl
Rozszerzenia Arts takie jak definicje efektw, ustawienia mikserw
oraz biblioteki wspdzielone dajce do nich dostp.

%package artsbuilder
Summary:	Arts Tools - builder
Summary(pl):	Narzdzia Arts - builder
Group:		X11/Applications
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
Conflicts:	kdemultimedia-arts < 9:3.1.92.021012

%description artsbuilder
A simple yet powerful effect and filter builder for arts.

%description artsbuilder -l pl
Prosty acz rozbudowany program do konstruowania efektw i filtrw w
arts.

%package artscontrol
Summary:	Arts Tools - control
Summary(pl):	Narzdzia Arts - control
Group:		X11/Applications
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
Conflicts:	kdemultimedia-arts < 9:3.1.92.021012

%description artscontrol
An advanced configuration tool for arts with FFT scope, media type
list, midi manager, client and environment manager and a server status
reporter

%description artscontrol -l pl
Zaawansowane narzdzie konfiguracyjne dla arts, zawiera: okno zakresu
FFT, list obsugiwanych typw plikw, moduy zarzdzania klientami,
midi oraz rodowiskiem, a take monitor stanu serwera dwiku.

#%package artsplugin-audiofile
#Summary:	Audiofile Plug-in
#Summary(pl):	Wtyczka do Audiofile
#Group:		X11/Applications
#Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
#Obsoletes:	kdemultimedia-arts < 9:3.1.92.021012

#%description artsplugin-audiofile #Audiofile Plug-in.

#%description artsplugin-audiofile -l pl #Wtyczka do Audiofile.

%package artsplugin-xine
Summary:	Xine engine plugin for arts
Summary(pl):	Wtyczka silnika xine do arts
Group:		X11/Applications
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
Requires:	xine-lib >= 1:1.0
Obsoletes:	kdemultimedia-xine

%description artsplugin-xine
This plugin allows arts to play using xine engine. This plugin
supports more formats than akode, yet akode plays some of them with
better quality. For best quality use akode alongside this plugin, arts
will autodetect which plugin gives better quality. This plugin
supports:
- microsoft's windows media formats (asf,asx,wmv,wma)
- mpeg (vob,mpg,mpeg,m1v,m2v,m1s,m2s,m2p,MP4,MP3,MP2,mp1)
- divx and avi
- quicktime (qt,mov,moov)
- real.com formats (rv,ra,ram,rm)
- smil (.smi)
- FLAC
- speex
- ac3/aac/m4v/m4a
- Ogg Vorbis (ogg)

%description artsplugin-xine -l pl
Ta wtyczka umoliwia arts odtwarzanie dwiku za pomoc silnika xine.
Wspiera ona wicej formatw ni akode, ale niektre z nich akode
odtwarza w lepszej jakoci. Dla najlepszej jakoci naley uywa tej
wtyczki wraz z akode, a arts sam wykryje, ktra z nich da lepsz
jako przy konkretnym formacie. Wspierane formaty to:
- Microsoft Windows media (asf,asx,wmv,wma)
- mpeg (vob,mpg,mpeg,m1v,m2v,m1s,m2s,m2p,MP4,MP3,MP2,mp1)
- divx i avi
- quicktime (qt,mov,moov)
- real.com (rv,ra,ram,rm)
- smil (.smi)
- FLAC
- speex
- ac3/aac/m4v/m4a
- Ogg Vorbis (ogg)

%package audiocd
Summary:	Audiocd protocol for konqueror
Summary(pl):	Protok audiocd dla konquerora
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{epoch}:%{version}-%{release}
Requires:	konqueror >= %{_minbaseevr}
Conflicts:	kdemultimedia-kaudiocreator < 9:3.1.92.031014

%description audiocd
This package allows konqueror to play audiocd's without the need of an
external application. Just enter audiocd:/ in the location field.

%description audiocd -l pl
Ten pakiet pozwala konquerorowi odtwarzanie pyt z muzyk bez potrzeby
uywania zewntrznej aplikacji. Po prostu wpisz audiocd:/ w pole
adresu.

%package cddb
Summary:	CDDB library for KDE
Summary(pl):	Biblioteka CDDB pod KDE
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}
Conflicts:	kdemultimedia-libkcddb < 9:3.1.92.031014

%description cddb
Support for cd database (CDDB), which is the source for track data for
KDE apps (title, author, etc.) when the cd does not have CD-Text.

%description cddb -l pl
Wsparcie dla baz danych pyt CD (CDDB) z ktrych program ciga
informacje o odtwarzanym utworze (tytu, autora itd.) jeli pyta nie
ma CD-Text.

%package juk
Summary:	A jukebox like program
Summary(pl):	Program speniajcy funkcj szafy grajcej
Group:		X11/Applications
Requires:	kdebase-core >= %{_minbaseevr}
Requires:	taglib >= 0.95.031114

%description juk
JuK (pronounced jook) is a jukebox and music manager for the KDE
desktop similar to jukebox software on other platforms such as
iTunes(R) or RealOne(R). As is typical with many jukebox applications,
JuK allows you to edit the "tags" of the audio files, and manage your
collection and playlists.
%if %{without gstreamer}

Gstreamer support in this version has been disabled. To reenable it
please repuild the source rpm with '--with gstreamer' option.
%endif

%description juk -l pl
Juk (czyt. duk, jak w Jukebox) to szafa grajca i zarzdca muzyki dla
KDE podobny do iTunes(R) lub RealOne(R). Podobnie jak wiele innych
tego typu aplikacji, JuK umoliwia modyfikowanie znacznikw plikw
dwikowych i zarzdzanie kolekcj oraz playlistami.
%if %{without gstreamer}

Obsuga bibliotek gstreamer zostaa wyczona w tej wersji pakietu. Aby 
j uaktywni, naley przebudowa pakiet rdowy (.src.rpm) z parametrem 
'--with gstreamer'.
%endif

%package kaboodle
Summary:	Media player
Summary(pl):	Odtwarzacz multimedialny
Group:		X11/Applications
Requires:	kdebase-core >= %{_minbaseevr}
Obsoletes:	kdemultimedia-aktion

%description kaboodle
A simple, embeddable, single file media player.

%description kaboodle -l pl
Prosty odtwarzacz pojedynczych plikw.

%package kappfinder
Summary:	Kappfinder multimedia data
Summary(pl):	Dane o aplikacjach multimedialnych dla kappfindera
Group:		X11/Applications
Requires:	kdebase-kappfinder

%description kappfinder
Multimedia application data for the kappfinder program, which find
applications and adds them to the KDE menu.

%description kappfinder -l pl
Dane aplikacji multimedialnych dla kappfinder, aplikacji wyszukujcej
inne aplikacje w systemie i dodajcej je do menu KDE.

%package kaudiocreator
Summary:	Audio Creator
Summary(pl):	Kreator audio
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}
Requires:	kdemultimedia-audiocd >= %{version}

%description kaudiocreator
CD ripper and sound encoder frontend.

%description kaudiocreator -l pl
Nakadka na CD ripper i koder dwiku.

%package kfile
Summary:	Audio file formats enhanced information
Summary(pl):	Rozszerzone informacje o plikach dwikowych
Group:		X11/Development/Libraries
Requires:	konqueror >= %{version}
Obsoletes:	kdemultimedia < 8:3.0.8

%description kfile
This package adds a fold to konqueror "file properties" dialog window
with file enhanced informations for avi, au, FLAC, M3U, MP3, MPC, Ogg,
SID and WAV files.

%description kfile -l pl
Ten pakiet dodaje do okna dialogowego "waciwoci pliku" konquerora
dodatkow zakadk z rozszerzonymi informacjami o plikach avi, au,
FLAC, MP3, M3U, MPC, Ogg, SID i WAV.

%package kmid
Summary:	KDE MIDI Player
Summary(pl):	Odtwarzacz MIDI dla KDE
Group:		X11/Applications
Requires:	kdebase-core >= %{_minbaseevr}
Obsoletes:	kdemultimedia-kmidi

%description kmid
This is a MIDI player for KDE. It features:
- a nice interface to display karaoke lyrics
- a channel view to see what notes is each instrument playing
- supports external midi synths, AWE cards, FM output, and GUS
- powerful Midi Mapper
- can play broken midi

%description kmid -l pl
Odtwarzacz MIDI dla KDE. Oferuje:
- interfejs do wywietlania tekstw w trybie karaoke
- tryb kanaw, wywietlajcy nuty odtwarzane przez poszczeglne
  instrumenty
- wsparcie dla zewntrznych syntezatorw, kart AWE, wyjcia FM i GUS
- rozbudowany mapper MIDI
- odtwarzanie uszkodzony plikw midi

%package kmix
Summary:	KDE audio mixer
Summary(pl):	Mikser dwiku dla KDE
Group:		X11/Applications

%description kmix
Sound mixer application for KDE.

%description kmix -l pl
Mikser dwiku dla KDE.

%package krec
Summary:	KDE sound recorder
Summary(pl):	Rejestrator dwiku dla KDE
Group:		X11/Applications
Requires:	%{name}-artscontrol = %{epoch}:%{version}-%{release}
Requires:	%{name}-kmix = %{epoch}:%{version}-%{release}

%description krec
KDE sound recorder which supports MP3 and Ogg exporting and simple
effects and mixers.

%description krec -l pl
Rejestrator dwiku dla KDE z obsug eksportu do MP3 i Ogg oraz
prostymi efektami i mikserem.

%package kscd
Summary:	KDE CD Player
Summary(pl):	Odtwarzacz CD dla KDE
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}

%description kscd
CD Player with CDDB support. It can automatically update its CD
database with the Internet and show graphical interpretation of played
sounds.

%description kscd -l pl
Odtwarzacz CD z obsug CDDB. Automatycznie uaktualnia swoj baz
danych o pytach CD z Internetem. Potrafi take wywietli adn
graficzn interpretacj granych dwikw.

%package libkcddb
Summary:	CDDB accessing library
Summary(pl):	Biblioteka dostpu do baz CDDB
Group:		X11/Libraries
Requires:	kdelibs >= %{_minlibsevr}

%description libkcddb
Library for accessing CDDB (cd track information databases) services.

%description libkcddb -l pl
Biblioteka dostpu do serwisw CDDB (baz danych z informacjami o
utworach).

%package mpeglib
Summary:	MPEG playback plugin for arts
Summary(pl):	Wtyczka z obsug mpeg dla arts
Group:		X11/Applications
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}

%description mpeglib
Plugin that adds support of MPEG audio and video formats to arts. It
give better quality than xine and worse than akode, yet it may be
beter for playing broken or low quality MP3 files than akode.

%description mpeglib -l pl
Wtyczka dodajca obsug MPEG do arts daje jako lepsz od wtyczki
xine i gorsz akode. Jedynie w przypadku uszkodzonych i niskiej
jakoci MP3 jest lepsza od akode. Obsuguje zarwno dwik jak i obraz
zakodowany w MPEG.

%package mpeglib-devel
Summary:	MPEG libraries - development files
Summary(pl):	Biblioteki obsugi MPEG - pliki dla programistw
Group:		X11/Applications
Requires:	%{name}-mpeglib-examples = %{epoch}:%{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}
Conflicts:	kdemultimedia-devel < 9:3.1.92.031012

%description mpeglib-devel
MPEG libraries - development files.

%description mpeglib-devel -l pl
Biblioteki obsugi MPEG - pliki dla programistw.

%package mpeglib-examples
Summary:	MPEG libraries - examples
Summary(pl):	Biblioteki obsugi MPEG - przykady
Group:		X11/Applications
Requires:	%{name}-mpeglib = %{epoch}:%{version}-%{release}
Conflicts:	kdemultimedia-mpeglib < 9:3.1.92.031012

%description mpeglib-examples
MPEG libraries - examples.

%description mpeglib-examples -l pl
Biblioteki obsugi MPEG - przykady.

%package noatun
Summary:	KDE Media Player
Summary(pl):	KDE Media Player - odtwarzacz plikw multimedialnych
Group:		X11/Applications
Requires:	%{name}-noatun-libs = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}

# THIS NEEDS EXTENDING. noatun is a too powerful app to describe with
# one sentence.

%description noatun
KDE Media Player.

%description noatun -l pl
KDE Media Player - odtwarzacz plikw multimedialnych.

%package noatun-libs
Summary:	KDE Media Player - shared libs
Summary(pl):	KDE Media Player - biblioteki wspdzielone
Group:		X11/Libraries
Requires:	%{name}-arts = %{epoch}:%{version}-%{release}
Conflicts:	kdemultimedia-noatun < 9:3.1.92.031012

%description noatun-libs
KDE Media Player - shared libs.

%description noatun-libs -l pl
KDE Media Player - biblioteki wspdzielone.

%prep
%setup -q
#%patch100 -p0
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;Player;/' \
	juk/juk.desktop \
	kscd/kscd.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;Midi;Player;/' \
	kmid/kmid.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Audio;Midi;/' \
	kappfinder-data/meterbridge.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;AudioVideo;Player;/' \
	noatun/noatun.desktop \
	kaboodle/kaboodle.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;Mixer;/' \
	kmix/kmix.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;Recorder;/' \
	krec/krec.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;Recorder;/' \
	kaudiocreator/kaudiocreator.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Audio;Recorder;/' \
	kappfinder-data/galan.desktop \
	kappfinder-data/mixxx.desktop \
	kappfinder-data/rezound.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Audio;Sequencer;/' \
	kappfinder-data/hydrogen.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Audio;/' \
	kappfinder-data/ecamegapedal.desktop \
	kappfinder-data/freebirth.desktop \
	kappfinder-data/amsynth.desktop \
	kappfinder-data/vkeybd.desktop \
	kappfinder-data/jack-rack.desktop \
	kappfinder-data/jamin.desktop \
	kappfinder-data/ardour.desktop \
	kappfinder-data/qsynth.desktop \
	kappfinder-data/qjackctl.desktop \
	kappfinder-data/muse.desktop \
	kappfinder-data/freqtweak.desktop \
	kappfinder-data/djplay.desktop \
	kappfinder-data/ams.desktop \
	kappfinder-data/zynaddsubfx.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Audio;/' \
	arts/tools/artscontrol.desktop \
	arts/builder/artsbuilder.desktop
for f in `find . -name \*.desktop`; do
	if grep -q '\[ven\]' $f; then
		sed -i -e 's/\[ven\]/[ve]/' $f
	fi
done

cp %{_datadir}/automake/config.sub admin

%{__make} -f admin/Makefile.common cvs

%build
export CDPARANOIA=%{_bindir}/cdparanoia

%configure \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with%{!?with_alsa:out}-arts-alsa \
	--with-extra-includes=%{_includedir}/speex \
	--with-qt-libraries=%{_libdir} \
	--with-distribution="PLD Linux Distribution" \
	--with-vorbis

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
rm -f *.lang

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang artsbuilder		--with-kde
%find_lang juk			--with-kde
%find_lang kaudiocreator	--with-kde
%find_lang kaboodle		--with-kde
%find_lang kioslave		--with-kde
%find_lang kmid			--with-kde
%find_lang kmix			--with-kde
%find_lang krec			--with-kde
%find_lang kscd			--with-kde
%find_lang noatun		--with-kde

# locolor icons are deprecated (in PLD?)
rm -f $RPM_BUILD_ROOT%{_iconsdir}/locolor/*/apps/kaudiocreator.png
# PLD doesn't have 'Multimedia/Music' submenu
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged/kde-multimedia-music.menu

%clean
rm -rf $RPM_BUILD_ROOT

%post	akode			-p /sbin/ldconfig
%postun	akode			-p /sbin/ldconfig

%post	arts			-p /sbin/ldconfig
%postun	arts			-p /sbin/ldconfig

%post	libkcddb		-p /sbin/ldconfig
%postun	libkcddb		-p /sbin/ldconfig

%post	mpeglib			-p /sbin/ldconfig
%postun	mpeglib			-p /sbin/ldconfig

%post	mpeglib-examples	-p /sbin/ldconfig
%postun	mpeglib-examples	-p /sbin/ldconfig

%post	noatun-libs		-p /sbin/ldconfig
%postun	noatun-libs		-p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
#%{_includedir}/akode
%{_includedir}/arts/*.h
%{_includedir}/arts/*.idl
%{_includedir}/libkcddb
%{_includedir}/noatun
#%{_libdir}/libakode.so
%{_libdir}/libartsbuilder.so
%{_libdir}/libartsgui.so
%{_libdir}/libartsgui_idl.so
%{_libdir}/libartsgui_kde.so
%{_libdir}/libartsmidi_idl.so
%{_libdir}/libartsmidi.so
%{_libdir}/libartsmodules*.so
%{_libdir}/libkcddb.so
%{_libdir}/libnoatun.so
%{_libdir}/libnoatuncontrols.so
%{_libdir}/libnoatuntags.so

%files akode
%defattr(644,root,root,755)
%{_libdir}/libarts_akode.la
%attr(755,root,root) %{_libdir}/libarts_akode.so
%attr(755,root,root) %{_libdir}/libarts_akode.so.*.*.*
%{_libdir}/mcop/akode*.mcop*

%files arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/midisend
%{_libdir}/libartsbuilder.la
%attr(755,root,root) %{_libdir}/libartsbuilder.so.*.*.*
%{_libdir}/libartscontrolapplet.la
%attr(755,root,root) %{_libdir}/libartscontrolapplet.so.*.*.*
%{_libdir}/libartscontrolsupport.la
%attr(755,root,root) %{_libdir}/libartscontrolsupport.so.*.*.*
%{_libdir}/libartseffects.la
%attr(755,root,root) %{_libdir}/libartseffects.so
%{_libdir}/libartsgui.la
%attr(755,root,root) %{_libdir}/libartsgui.so.*.*.*
%{_libdir}/libartsgui_idl.la
%attr(755,root,root) %{_libdir}/libartsgui_idl.so.*.*.*
%{_libdir}/libartsgui_kde.la
%attr(755,root,root) %{_libdir}/libartsgui_kde.so.*.*.*
%{_libdir}/libartsmidi.la
%attr(755,root,root) %{_libdir}/libartsmidi.so.*.*.*
%{_libdir}/libartsmidi_idl.la
%attr(755,root,root) %{_libdir}/libartsmidi_idl.so.*.*.*
%{_libdir}/libartsmodules.la
%attr(755,root,root) %{_libdir}/libartsmodules.so.*.*.*
%{_libdir}/libartsmodulescommon.la
%attr(755,root,root) %{_libdir}/libartsmodulescommon.so.*.*.*
%{_libdir}/libartsmoduleseffects.la
%attr(755,root,root) %{_libdir}/libartsmoduleseffects.so.*.*.*
%{_libdir}/libartsmodulesmixers.la
%attr(755,root,root) %{_libdir}/libartsmodulesmixers.so.*.*.*
%{_libdir}/libartsmodulessynth.la
%attr(755,root,root) %{_libdir}/libartsmodulessynth.so.*.*.*
%{_libdir}/libarts_audiofile.la
%attr(755,root,root) %{_libdir}/libarts_audiofile.so.*.*.*
%{_libdir}/mcop/Arts
%{_libdir}/mcop/artseffects.mcopclass
%{_libdir}/mcop/artseffects.mcoptype
%{_libdir}/mcop/artsgui.mcopclass
%{_libdir}/mcop/artsgui.mcoptype
%{_libdir}/mcop/artsmidi.mcopclass
%{_libdir}/mcop/artsmidi.mcoptype
%{_libdir}/mcop/artsmodules.mcopclass
%{_libdir}/mcop/artsmodules.mcoptype
%{_libdir}/mcop/artsmodulescommon.mcopclass
%{_libdir}/mcop/artsmodulescommon.mcoptype
%{_libdir}/mcop/artsmoduleseffects.mcopclass
%{_libdir}/mcop/artsmoduleseffects.mcoptype
%{_libdir}/mcop/artsmodulesmixers.mcopclass
%{_libdir}/mcop/artsmodulesmixers.mcoptype
%{_libdir}/mcop/artsmodulessynth.mcopclass
%{_libdir}/mcop/artsmodulessynth.mcoptype
%{_libdir}/mcop/audiofilearts.mcopclass
%{_libdir}/mcop/audiofilearts.mcoptype
%{_iconsdir}/[!l]*/*/actions/arts[!bc]*.*

%files artsbuilder -f artsbuilder.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsbuilder
%{_libdir}/mcop/artsbuilder.mcopclass
%{_libdir}/mcop/artsbuilder.mcoptype
%{_datadir}/apps/artsbuilder
%{_datadir}/mimelnk/application/x-artsbuilder.desktop
%{_desktopdir}/kde/artsbuilder.desktop
%{_iconsdir}/[!l]*/*/actions/artsbuilderexecute.*
%{_iconsdir}/[!l]*/*/apps/artsbuilder.*

%files artscontrol
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artscontrol
%{_datadir}/apps/artscontrol
%{_datadir}/apps/kicker/applets/artscontrolapplet.desktop
%{_desktopdir}/kde/artscontrol.desktop
%{_iconsdir}/[!l]*/*/apps/artscontrol.*

%if %{with xine}
%files artsplugin-xine
%defattr(644,root,root,755)
%{_libdir}/kde3/videothumbnail.la
%attr(755,root,root) %{_libdir}/kde3/videothumbnail.so
%{_libdir}/*_xine.la
%attr(755,root,root) %{_libdir}/*_xine.so
%attr(755,root,root) %{_libdir}/libarts_xine.so.*.*.*
%{_libdir}/mcop/xine*PlayObject.mcopclass
%{_datadir}/apps/videothumbnail
%{_datadir}/services/videothumbnail.desktop
%endif

%files audiocd -f kioslave.lang
%defattr(644,root,root,755)
%{_libdir}/kde3/kcm_audiocd.la
%attr(755,root,root) %{_libdir}/kde3/kcm_audiocd.so
%{_libdir}/kde3/kio_audiocd.la
%attr(755,root,root) %{_libdir}/kde3/kio_audiocd.so
%{_libdir}/kde3/libaudiocd_encoder*.la
%attr(755,root,root) %{_libdir}/kde3/libaudiocd_encoder*.so
%{_libdir}/libaudiocdplugins.la
%attr(755,root,root) %{_libdir}/libaudiocdplugins.so*
%{_datadir}/apps/kconf_update/upgrade-metadata.sh
%{_datadir}/apps/konqueror/servicemenus/audiocd_*.desktop
%{_datadir}/config.kcfg/audiocd_*_encoder.kcfg
%{_datadir}/services/audiocd.protocol
%{_desktopdir}/kde/audiocd.desktop

%files cddb
%defattr(644,root,root,755)
%{_libdir}/kde3/kcm_cddb.la
%attr(755,root,root) %{_libdir}/kde3/kcm_cddb.so
%{_datadir}/config.kcfg/libkcddb.kcfg
%{_desktopdir}/kde/libkcddb.desktop

%files juk -f juk.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/juk
%{_datadir}/apps/juk
%{_datadir}/apps/konqueror/servicemenus/jukservicemenu.desktop
%{_desktopdir}/kde/juk.desktop
%{_iconsdir}/*/*/*/juk*.png

%files kaboodle -f kaboodle.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kaboodle
%{_libdir}/kde3/libkaboodlepart.la
%attr(755,root,root) %{_libdir}/kde3/libkaboodlepart.so
%{_datadir}/apps/kaboodle
%{_datadir}/services/kaboodle_component.desktop
%{_datadir}/services/kaboodleengine.desktop
%{_desktopdir}/kde/kaboodle.desktop
%{_iconsdir}/*/*/apps/kaboodle.*

%files kappfinder
%defattr(644,root,root,755)
%{_datadir}/apps/kappfinder/apps/Multimedia/*

%files kaudiocreator -f kaudiocreator.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kaudiocreator
%{_datadir}/apps/kaudiocreator
%{_datadir}/config.kcfg/kaudiocreator.kcfg
%{_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_datadir}/apps/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_desktopdir}/kde/kaudiocreator.desktop
%{_iconsdir}/*/*/*/kaudiocreator.png

%files kfile
%defattr(644,root,root,755)
%{_libdir}/kde3/kfile_*.la
%attr(755,root,root) %{_libdir}/kde3/kfile_*.so
%{_datadir}/services/kfile_*.desktop

%files kmid -f kmid.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmid
%{_libdir}/kde3/libkmidpart.la
%attr(755,root,root) %{_libdir}/kde3/libkmidpart.so
%{_libdir}/libkmidlib.la
%{_libdir}/libkmidlib.so
%attr(755,root,root) %{_libdir}/libkmidlib.so.*.*.*
%{_datadir}/apps/kmid
%{_datadir}/mimelnk/audio/x-karaoke.desktop
%{_datadir}/servicetypes/*midi*.desktop
%{_desktopdir}/kde/kmid.desktop
%{_iconsdir}/*/*/*/kmid.png

%files kmix -f kmix.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmix
%attr(755,root,root) %{_bindir}/kmixctrl
%{_libdir}/libkdeinit_kmix.la
%attr(755,root,root) %{_libdir}/libkdeinit_kmix.so
%{_libdir}/libkdeinit_kmixctrl.la
%attr(755,root,root) %{_libdir}/libkdeinit_kmixctrl.so
%{_libdir}/kde3/kmix.la
%attr(755,root,root) %{_libdir}/kde3/kmix.so
%{_libdir}/kde3/kmixctrl.la
%attr(755,root,root) %{_libdir}/kde3/kmixctrl.so
%{_libdir}/kde3/kmix_panelapplet.la
%attr(755,root,root) %{_libdir}/kde3/kmix_panelapplet.so
%{_datadir}/apps/kicker/applets/kmixapplet.desktop
%{_datadir}/apps/kmix
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/services/kmixctrl_restore.desktop
%{_desktopdir}/kde/kmix.desktop
%{_iconsdir}/*/*/*/kmix.png

%files kscd -f kscd.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscd
%attr(755,root,root) %{_bindir}/workman2cddb.pl
%{_desktopdir}/kde/kscd.desktop
%{_datadir}/apps/kscd
%{_datadir}/config.kcfg/kscd.kcfg
%{_datadir}/apps/profiles/kscd.profile.xml
%{_datadir}/mimelnk/text/xmcd.desktop
%{_iconsdir}/*/*/*/kscd.png

%files krec -f krec.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krec
%{_libdir}/libkdeinit_krec.la
%attr(755,root,root) %{_libdir}/libkdeinit_krec.so
%{_libdir}/kde3/kcm_krec.la
%attr(755,root,root) %{_libdir}/kde3/kcm_krec.so
%{_libdir}/kde3/kcm_krec_files.la
%attr(755,root,root) %{_libdir}/kde3/kcm_krec_files.so
%{_libdir}/kde3/krec.la
%attr(755,root,root) %{_libdir}/kde3/krec.so
%{_libdir}/kde3/libkrecexport_mp3.la
%attr(755,root,root) %{_libdir}/kde3/libkrecexport_mp3.so
%{_libdir}/kde3/libkrecexport_ogg.la
%attr(755,root,root) %{_libdir}/kde3/libkrecexport_ogg.so
%{_libdir}/kde3/libkrecexport_wave.la
%attr(755,root,root) %{_libdir}/kde3/libkrecexport_wave.so
%{_datadir}/apps/krec
%{_datadir}/services/kcm_krec.desktop
%{_datadir}/services/kcm_krec_files.desktop
%{_datadir}/services/krec_exportmp3.desktop
%{_datadir}/services/krec_exportogg.desktop
%{_datadir}/services/krec_exportwave.desktop
%{_datadir}/servicetypes/krec_exportitem.desktop
%{_desktopdir}/kde/krec.desktop
%{_iconsdir}/*/*/*/krec*

%files libkcddb
%defattr(644,root,root,755)
%{_libdir}/libkcddb.la
%attr(755,root,root) %{_libdir}/libkcddb.so.*.*.*

%files mpeglib
%defattr(644,root,root,755)
# mpeglib part
%{_libdir}/libmpeg.la
%attr(755,root,root) %{_libdir}/libmpeg-0.3.0.so
# mpeglib_artsplug part
%attr(755,root,root) %{_bindir}/mpeglibartsplay
%{_libdir}/libarts_mpeglib.la
%attr(755,root,root) %{_libdir}/libarts_mpeglib-0.3.0.so.*.*.*
%{_libdir}/libarts_splay.la
%attr(755,root,root) %{_libdir}/libarts_splay.so.*.*.*
%{_libdir}/mcop/CDDAPlayObject.mcopclass
%{_libdir}/mcop/MP3PlayObject.mcopclass
%{_libdir}/mcop/NULLPlayObject.mcopclass
%{_libdir}/mcop/OGGPlayObject.mcopclass
%{_libdir}/mcop/SplayPlayObject.mcopclass
%{_libdir}/mcop/WAVPlayObject.mcopclass

%files mpeglib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarts_mpeglib.so
%attr(755,root,root) %{_libdir}/libarts_splay.so
%attr(755,root,root) %{_libdir}/libmpeg.so
%attr(755,root,root) %{_libdir}/libyafcore.so
%attr(755,root,root) %{_libdir}/libyafxplayer.so
%{_includedir}/mpeglib
%{_includedir}/mpeglib_artsplug

%files mpeglib-examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/yaf-cdda
%attr(755,root,root) %{_bindir}/yaf-mpgplay
%attr(755,root,root) %{_bindir}/yaf-splay
%attr(755,root,root) %{_bindir}/yaf-tplay
%attr(755,root,root) %{_bindir}/yaf-vorbis
%attr(755,root,root) %{_bindir}/yaf-yuv
%{_libdir}/libyafcore.la
%{_libdir}/libyafxplayer.la

%files noatun -f noatun.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/noatun*
%{_libdir}/libkdeinit_noatun.la
%attr(755,root,root) %{_libdir}/libkdeinit_noatun.so
%{_libdir}/kde3/noatun*.la
%attr(755,root,root) %{_libdir}/kde3/noatun*.so
%{_libdir}/mcop/Noatun
%{_libdir}/mcop/ExtraStereo.mcopclass
%{_libdir}/mcop/ExtraStereoGuiFactory.mcopclass
%{_libdir}/mcop/RawWriter.mcopclass
%{_libdir}/mcop/VoiceRemoval.mcopclass
%{_libdir}/mcop/noatunarts.mcopclass
%{_libdir}/mcop/noatunarts.mcoptype
%{_libdir}/mcop/winskinvis.mcopclass
%{_libdir}/mcop/winskinvis.mcoptype
%attr(755,root,root) %{_datadir}/apps/kconf_update/noatun20update
%{_datadir}/apps/kconf_update/*.upd
%{_datadir}/apps/noatun*
%dir %{_datadir}/mimelnk/interface
%{_datadir}/mimelnk/interface/x-winamp-skin.desktop
%{_desktopdir}/kde/noatun.desktop
%{_iconsdir}/*/*/*/noatun.png

%files noatun-libs
%defattr(644,root,root,755)
%{_libdir}/libnoatun.la
%attr(755,root,root) %{_libdir}/libnoatun.so.*.*.*
%{_libdir}/libnoatuncontrols.la
%attr(755,root,root) %{_libdir}/libnoatuncontrols.so.*.*.*
%{_libdir}/libnoatuntags.la
%attr(755,root,root) %{_libdir}/libnoatuntags.so.*.*.*
%{_libdir}/libnoatunarts.la
%attr(755,root,root) %{_libdir}/libnoatunarts.so
%{_libdir}/libwinskinvis.la
%attr(755,root,root) %{_libdir}/libwinskinvis.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdemultimedia.spec,v $
Revision 1.223.2.3  2007/01/28 22:12:56  glen
- rel 1

Revision 1.223.2.2  2007/01/18 13:26:48  glen
- add %dir %{_datadir}/mimelnk/interface

Revision 1.223.2.1  2007/01/18 13:23:22  glen
- KDE 3.5.6

Revision 1.223  2006/11/03 11:06:55  glen
- rel 1

Revision 1.222  2006/10/12 19:53:55  arekm
- reverted parially bad tunepimp bcond; bump cdparanoia br

Revision 1.221  2006/10/11 09:34:53  arekm
- tunepimp bcond (we have newer version in Th which is not yet supported)

Revision 1.220  2006/10/10 22:18:06  glen
- switched polypaudio->pulseaudio

Revision 1.219  2006/10/05 06:53:12  arekm
- add kde-ac260-lt.patch

Revision 1.218  2006/10/04 21:39:48  adgor
- Cleanups

Revision 1.217  2006/10/04 19:54:09  adgor
- 3.5.5 .hidden

Revision 1.216  2006/08/22 12:26:02  glen
- not ready for new tunepimp

Revision 1.215  2006/08/08 11:15:27  glen
- rel 1

Revision 1.214  2006/07/31 15:57:27  glen
- adapterized

Revision 1.213  2006/07/31 15:00:11  glen
- 3.5.4

Revision 1.212  2006/07/31 12:30:58  glen
- sorted out few unpackaged files

Revision 1.211  2006/05/25 17:47:07  arekm
- up to 3.5.3

Revision 1.210  2006/04/01 17:00:41  glen
- unify macros

Revision 1.209  2006/03/28 23:16:44  glen
- 3.5.2

Revision 1.208  2006/01/25 16:35:10  pluto
- disable all-in-one compilation.

Revision 1.207  2006/01/22 19:20:16  arekm
- up to 3.5.1

Revision 1.206  2005/12/08 19:09:52  adgor
- hidden_visibility bcond

Revision 1.205  2005/11/26 14:12:41  arekm
- rel 3; new tarball

Revision 1.204  2005/11/24 21:03:10  arekm
- rel 2; port to new libtunepimp

Revision 1.203  2005/11/24 17:02:01  arekm
- rel 1

Revision 1.202  2005/11/13 21:11:34  arekm
- up to 3.5.0rc1

Revision 1.201  2005/10/10 08:49:05  arekm
- rel 1

Revision 1.200  2005/10/07 16:53:28  arekm
- up to 3.4.3

Revision 1.199  2005/08/08 21:54:21  glen
- typo

Revision 1.198  2005/08/02 06:12:22  arekm
- readd branch patch

Revision 1.197  2005/07/28 18:45:06  arekm
- rel 1

Revision 1.196  2005/07/22 16:05:01  arekm
- up to 3.4.2

Revision 1.195  2005/07/21 15:45:03  gotar
- krec and kmix do not require kdebase-core (others probably too)

Revision 1.194.2.1.2.1  2005/11/12 21:04:09  djurban
- commit recent versions to help arekm with 3.5

Revision 1.194.2.1  2005/06/26 17:09:44  adgor
- 050625 & 050626

Revision 1.194  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.193  2005/05/26 11:35:59  arekm
- up to 3.4.1

Revision 1.192  2005/05/14 17:29:34  arekm
- no gstreamer

Revision 1.191  2005/04/15 16:42:02  charles
- BR: autoconf, automake, pkgconfig

Revision 1.190  2005/04/13 18:39:54  djurban
- fix speex, revert my bcond change, by default now juk from FTP depends on gstream
  this obviously sux, but i dont have time to write the dlopen patch, dont want
  to quarrel with arekm and I build all my packages myself so im not affected by this behaviour
- open a bug in KDE's zilla: http://bugs.kde.org/show_bug.cgi?id=103813

Revision 1.189  2005/04/09 15:17:49  djurban
- disable gstreamer by default (otherwise it implies a dependency on gstreamer)
- waiting for new branch diff

Revision 1.188  2005/03/26 17:15:53  qboosh
- sorted BRs, cleanups

Revision 1.187  2005/03/26 16:56:33  arekm
- rel 1; add missing requires (mkochano)

Revision 1.186  2005/03/16 18:30:23  arekm
- on ftp it sits in 3.4 dir

Revision 1.185  2005/03/16 18:03:24  arekm
- merge from DEVEL


